#
# spec file for package Crystalcursors
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           Crystalcursors
BuildRequires:  libpng
BuildRequires:  xcursorgen
URL:            https://digilander.libero.it/m4rt/html/crystalcursors.html
Summary:        Mouse Cursors in Crystal Icon Style
License:        LGPL-2.1-or-later
Group:          System/X11/Icons
Version:        0.9
Release:        1.1
Source:         https://digilander.libero.it/m4rt/files/Crystalcursors.tar.bz2
Patch0:         root-installation.diff
BuildRequires:  ImageMagick
BuildArch:      noarch

%description
Four different mouse cursor icon sets in the KDE CrystalSVG style. In
white, gray, blue, and green versions. They can be selected from KDE
Control Center, in the mouse configuration.

%prep
%setup -q -n %name
%patch0 -p1

%build
make

%install
%make_install

%files
%license LICENSE
%doc CHANGELOG CREDITS README
/usr/share/icons/*

%changelog
* Mon Mar 13 2023 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 0.9
  * Corrected a little asymmetry in the left pointers
  * All themes have a left-handed (i.e. flipped) version
- Update to version 0.8:
  * Modified the shiny effect of the hands
  * All borders of the 32x32 version now are more sharp
  * Remade all the shadows of the white version
- Update to version 0.7:
  * A 32x32 version of watch cursor theme to enable it set the
    environment variable XCURSOR_SIZE=32
  * Watch busy cursor updated with the one in the current crystal icons
  * Green theme reworked
  * Lighter shadows
  * Reworked all the svg images
- Update to version 0.6:
  * Adjusted hand cursor proportions.
- Rebased root-installation.diff
- Dropped outdated Crystalcursors.patch
* Fri Jun 29 2012 coolo@suse.com
- replace buildrequire xorg-x11 with the real require
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Mon Aug  7 2006 seife@suse.de
- fix for Xorg 7.1 (move to /usr/share/icons)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Apr 24 2004 sndirsch@suse.de
- XFree86 --> xorg-x11 in neededforbuild
* Sat Apr  3 2004 adrian@suse.de
- the world does not understand fast times
  (1/4 speed of the wait cursor clock)
* Tue Mar 23 2004 adrian@suse.de
- update to version 0.5
  * improves contrast of the white mouse cursor theme (#35605)
* Mon Mar  8 2004 adrian@suse.de
- create non-animated versions of cursors (based on patch by Lubos)
- additional cursor symlinks (found by Lubos)
* Sun Mar  7 2004 adrian@suse.de
- initial package of version 0.4
